* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "montserrat";
  color: white;
}

html,
body {
  width: 100%;
  height: 100%;
}

#nav {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  height: 145px;
  padding: 0 150px;
  gap: 40px;
  width: 100%;
  position: fixed;
  z-index: 99;
}

#nav img {
  height: 75px;
  transition: all ease 1s;
}

#nav img:hover {
  scale: 1.5;
}

#nav h4 {
  transition: all ease 1s;
  text-transform: uppercase;
  font-weight: 500;
  scale: 1;
}

#cursor {
  height: 20px;
  width: 20px;
  background-color: #95c11e;
  border-radius: 50%;
  z-index: 99;
  position: fixed;
}

#cursor-blur {
  height: 400px;
  width: 400px;
  background-color: #96c11e5b;
  border-radius: 50%;
  z-index: 99;
  position: fixed;
  filter: blur(40px);
  z-index: 9;
}

video {
  height: 100%;
  width: 100%;
  object-fit: cover;
  position: fixed;
  z-index: -1;
}

#main {
  position: relative;
  background-color: rgba(0, 0, 0, 0.584);
}

#page1 {
  height: 100vh;
  width: 100%;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  text-align: center;
  z-index: 10;
}

#page1 h1 {
  font-size: 140px;
  font-weight: 900;
  position: relative;
}

#page1 h1::before {
  content: "EAT. DRINK. PLAY.";
  position: absolute;
  color: black;
  left: -6px;
  top: -6px;
  -webkit-text-stroke: 2px #95c11e;
  z-index: -1;
}

#page1 h2 {
  font-size: 30px;
  font-weight: 800;
  margin-top: 10px;
  margin-bottom: 20px;
}

#page1 p {
  font-size: 20px;
  font-weight: 500;
  width: 40%;
}

#page2 {
  min-height: 100vh;
  width: 100%;
  z-index: 10;
}

#scroller {
  position: relative;
  white-space: nowrap;
  overflow-x: auto;
  overflow-y: hidden;
  z-index: 10;
}

#scroller::-webkit-scrollbar {
  display: none;
}

#scroller-in {
  display: inline-block;
  white-space: nowrap;
  animation-name: scroll;
  animation-duration: 30s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}

#scroller h4 {
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  display: inline-block;
  font-size: 100px;
  font-weight: 900;
  margin-right: 10px;
  -webkit-text-stroke: 2px #95c11e;
  color: transparent;
  transition: all linear 0.5s;
}

#scroller h4:hover {
  color: #95c11e;
}

#about-us {
  position: relative;
  height: 50vh;
  width: 100%;
  margin-top: 200px;
  display: flex;
  margin-bottom: 100px;
  padding: 0 50px;
  align-items: center;
  justify-content: space-around;
}

#about-us img {
  height: 220px;
  width: 220px;
  object-fit: cover;
  border-radius: 20px;
}

#about-us-in {
  width: 40%;
  text-align: center;
}

#about-us-in h3 {
  font-size: 54px;
  font-weight: 800;
  margin-bottom: 50px;
}

#about-us-in p {
  font-size: 20px;
  line-height: 26px;
}

@keyframes scroll {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-100%);
  }
}

#cards-container {
  height: 60vh;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 70px;
  position: relative;
  z-index: 10;
}

.card {
  overflow: hidden;
  height: 80%;
  width: 24%;
  border-radius: 20px;
  background-size: cover;
  background-position: center;
  transition: all ease 0.6s;
}

#card1 {
  background-image: url(https://eiwgew27fhz.exactdn.com/wp-content/uploads/2023/02/home-toptracer.jpg?strip=all&lossy=1&sharp=1&ssl=1);
}

#card2 {
  background-image: url(https://eiwgew27fhz.exactdn.com/wp-content/uploads/2023/02/hero-4.jpg?strip=all&lossy=1&sharp=1&ssl=1);
}

#card3 {
  background-image: url(https://eiwgew27fhz.exactdn.com/wp-content/uploads/2023/02/home-lessons.jpg?strip=all&lossy=1&sharp=1&ssl=1);
}

.overlay {
  opacity: 0;
  height: 100%;
  width: 100%;
  background-color: #95c11e;
  padding: 30px;
  padding-top: 100px;
  transition: all ease 0.6s;
}

.card:hover .overlay {
  opacity: 1;
}

.card:hover {
  transform: rotate3d(-1, 1, 0, 20deg);
}

.overlay h4 {
  white-space: nowrap;
  color: black;
  font-size: 30px;
  text-transform: uppercase;
  font-weight: 800;
  margin-bottom: 20px;
}

.overlay p {
  font-size: 18px;
  color: black;
}

#green-div {
  height: 30vh;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: linear-gradient(to left bottom, #109f3a, #95c11e);
}

#green-div h4 {
  width: 45%;
  font-size: 27px;
  line-height: 50px;
  text-align: center;
  text-transform: uppercase;
}

#green-div img {
  height: 100%;
  object-fit: cover;
  width: 14%;
}

#page3 {
  height: 100vh;
  width: 100%;
  background-color: black;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

#page3 p {
  font-size: 30px;
  font-weight: 700;
  width: 55%;
  line-height: 45px;
  text-align: center;
}

#page3 img {
  position: absolute;
  height: 60px;
}

#page3 #colon-1 {
  left: 20%;
  top: 20%;
}

#page3 #colon-2 {
  right: 15%;
  bottom: 25%;
}

#page4 {
  position: relative;
  height: 50vh;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 70px;
}

.elem {
  height: 50%;
  width: 24%;
  overflow: hidden;
  border-radius: 20px;
  position: relative;
}

.elem h2 {
  height: 100%;
  width: 100%;
  background-color: #95c11e;
  display: flex;
  align-items: center;
  font-size: 30px;
  justify-content: center;
  color: black;
  font-weight: 800;
  position: absolute;
  z-index: 10;
  transition: all ease 0.5s;
}

.elem img {
  transition: all ease 0.5s;
  scale: 1.1;
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.elem:hover h2 {
  color: white;
  background-color: transparent;
}

.elem:hover img {
  scale: 1;
}

#page4 h1 {
  color: black;
  -webkit-text-stroke: 2px white;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  font-size: 80px;
  position: absolute;
  top: 10%;
}

#footer {
  z-index: 10;
  position: relative;
  display: flex;
  height: 50vh;
  width: 100%;
  justify-content: flex-start;
  gap: 90px;
  align-items: center;
  background: linear-gradient(to left bottom, #9ecd20, #30a733);
}

#foot-1 {
  height: 100%;
  width: 20%;
  position: relative;
}

#foot-1-img1 {
  position: absolute;
  height: 100%;
  object-fit: cover;
  width: 100%;
}

#foot-1-img2 {
  position: absolute;
  height: 30%;
  top: 20%;
  left: 15%;
  width: 100%;
}

#footer h4 {
  transition: all ease 0.5s;
  color: black;
  font-weight: 900;
  font-size: 30px;
  line-height: 45px;
  text-transform: uppercase;
}

#footer h4:hover {
  color: white;
}

#footer p {
  color: black;
  font-weight: 600;
}
